#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		pnum		3
%define		__python	/usr/bin/python%{pnum}
%define		lname		%(echo %{name} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	qBittorrent
Version		:	5.0.1
Release		:	17.2.0.rel%{?dist}
Summary		:	A bittorrent client programmed in C+
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/qbittorrent/qBittorrent

Source0		:	%{name}-release-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	glibc
BuildRequires	:	libtorrent-rasterbar
BuildRequires	:	openssl
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qt6-qtsvg-devel
BuildRequires	:	zlib

Requires	:	libtorrent-rasterbar

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a bittorrent client programmed in C++ / Qt
that uses libtorrent (sometimes called libtorrent-rasterbar)
by Arvid Norberg.

It aims to be a good alternative to all other bittorrent
clients out there. qBittorrent is fast, stable and provides
unicode support as well as many features.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_bindir}/%{lname}
%{_datadir}/applications/org.%{lname}.%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{lname}.png
%{_datadir}/icons/hicolor/*/status/%{lname}-tray.png
%{_datadir}/icons/hicolor/scalable/status/%{lname}-tray*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{lname}.svg
%{_datadir}/metainfo/org.%{lname}.%{name}.metainfo.xml
%{_mandir}/man1/%{lname}.1.gz
%{_mandir}/ru/man1/%{lname}.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%post
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#=============================================================================
%package		nox
Summary		:	A Headless Bittorrent Client

#-----------------------------------------------------------------------------
%description		nox
A Headless Bittorrent client using rb_libtorrent.
It aims to be as fast as possible and to provide
multi-OS, unicode support.

#-----------------------------------------------------------------------------
%files			nox
%defattr(-,root,root,-)
%{_bindir}/%{lname}-nox
%{_mandir}/man1/%{lname}-nox.1.gz
%{_mandir}/ru/man1/%{lname}-nox.1.gz

#=============================================================================
%prep
%setup -q -n %{name}-release-%{version}

#-----------------------------------------------------------------------------
%build

cmake							\
	-S .						\
	-B _bld						\
	-G Ninja					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}	\
	-D GUI=ON					\
	-D SYSTEMD=OFF 					\

cmake							\
	-S .						\
	-B _bld_nox					\
	-G Ninja					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}	\
	-D GUI=OFF					\
	-D SYSTEMD=OFF 					\

cmake							\
	--build _bld					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

cmake							\
	--build _bld_nox				\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld_nox				\

#-----------------------------------------------------------------------------
%changelog
